CS::RenderManager::StandardMeshSorter< Tree > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::StandardMeshSorter< Tree > Class Template Reference

Standard rendermesh sorter. More...

`#include <csplugincommon/rendermanager/standardsorter.h>`

List of all members.

## Public Member Functions
void | operator() (typename Tree::MeshNode *meshNode)
| Sort given mesh node.
void | SetupCameraLocation (const csVector3 &vec)
| Set the camera location to be used for b2f/f2b sorting.

## Detailed Description

### template<typename Tree>
class CS::RenderManager::StandardMeshSorter< Tree >

Standard rendermesh sorter.

Sorts mesh nodes depending on their render priority, either back2front/front2back or based on material and factories.

Usage: with mesh node iteration. SetupCameraLocation () must be called with the current camera location. Sorting is typically done after visibility culling and portal setup. Example:

     // Sort the mesh lists
     {
       StandardMeshSorter<RenderTree> mySorter (renderView->GetEngine ());
       mySorter.SetupCameraLocation (rview->GetCamera ()->GetTransform ().GetOrigin ());
       ForEachMeshNode (context, mySorter);
     }

Definition at line 55 of file standardsorter.h.

## Member Function Documentation

template<typename Tree >

void CS::RenderManager::StandardMeshSorter< Tree >::operator() | ( | typename Tree::MeshNode * | meshNode | ) | `[inline]`

Sort given mesh node.

Definition at line 85 of file standardsorter.h.

template<typename Tree >

void CS::RenderManager::StandardMeshSorter< Tree >::SetupCameraLocation | ( | const csVector3 & | vec | ) | `[inline]`

Set the camera location to be used for b2f/f2b sorting.

Definition at line 77 of file standardsorter.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/standardsorter.h